package com.applayos.GroupLinkApplay;

import org.apache.cordova.CordovaPlugin;
import org.apache.cordova.CallbackContext;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

/**
 * This class echoes a string called from JavaScript.
 */
public class GroupLinkApplay extends CordovaPlugin {
    @Override
    public boolean execute(String action, JSONArray args, CallbackContext callbackContext) throws JSONException {
        if (action.equals("echoTest")) {
            String mensagemAlerta = args.getString(0);
            this.echoMethod(mensagemAlerta, callbackContext);
            return true;
        }
        return false;
    }
    private void echoMethod(String message, CallbackContext callbackContext) {
        if (message != null && message.length() > 0) {
            callbackContext.success(message);
        } else {
            callbackContext.error("Houve algum erro no texto");
        }
    }
}
